<?php

/***模板连接调用函数助手u
* 调用例子
* 电脑模板 【导航、分类：{:u(entitle)};  文章详情：{:u(entitle,id)} 】 
* 手机模板 【导航、分类：{:u(entitle,'',1)} 文章详情：{:u(entitle,id,1)} 】
* 参数
* @params entitle 栏目或分类URL英文名, id 文章ID, pc 0默认电脑模板 1 手机模板必加 
* @return 返回ULR 网址
**/
function u($entitle="",$id="",$pc=0){
	if(config('weburltype')){
		if($pc==0){	
			$dir = config('webhtmlpath')=="" ? '' : '/'.config('webhtmlpath');
		}else{
			if(config('webmurl')==""){
				$dir = '/'.config('webmhtmlpath');
			}
		}
		if($id==""){
			$url = $dir.'/'.$entitle.'/index.html';
		}else{
			$url = $dir.'/'.$entitle.'/'.$id.'.html';
		}
	}else{
		if($id==""){
			$url = '/'.$entitle.'/';
		}else{
			$url = '/'.$entitle.'/'.$id.'.html';
		}
	}
	return $url;
}

//首页连接 pc 0默认电脑模板 1 手机模板
function ui($pc=0){
	 if(config('weburltype')){
			 if($pc==0){
					 $dir = '/index.html';
				}else{
					 $dir = config('webmurl')=="" ? '/' .config('webmhtmlpath') . '/index.html' : config('webmurl');
				}
		}else{
			  $dir = '/index.html';
		}
		return $dir;
}
